package com.foreverwin.mesnac.common.controller;

import com.foreverwin.mesnac.common.service.BoardService;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/BOARD")
public class BoardController {
    @Autowired
    public BoardService boardService;

    @GetMapping("/test")
    public R test(String resource, String qty) {
        Map<String, Object> result = new HashMap<>();

        try {
            result.put("RESOURCE", resource);
            result.put("SHOP_ORDER", "SO20211011");
            result.put("ITEM", "00302354001");
            result.put("QTY", 80);
            result.put("JJ", 560);
            result.put("HJ", 450);
            result.put("RCL", 700);
            result.put("ZZ", 390);
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }

        return R.ok(result);
    }

}
